package com.mmc.iuav.user.dao;

import com.mmc.iuav.user.entity.activity.ActivityDO;
import com.mmc.iuav.user.entity.activity.ActivityPartDO;
import com.mmc.iuav.user.model.qo.ActivityQO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @author: zj
 * @Date: 2023/10/16 15:08
 */
@Mapper
public interface ActivityDao {
    void delete(Integer id);

    ActivityDO details(Integer id);

    int countListActivityPages(ActivityQO activityQO);

    List<ActivityDO> listActivityPages(ActivityQO activityQO);

    int countCurrentActivity(ActivityDO activity);

    void insertActivity(ActivityDO activityDO);

    void updateActivity(ActivityDO activityDO);

    int countSameActivityName(ActivityDO activityDO);

    ActivityDO currentActivity(Integer activityType);

    int countActivityPart(Integer activityId, Integer userAccountId);

    void insertActivityPart(ActivityPartDO activityPartDO);

    List<ActivityPartDO> activityPartDetail(ActivityQO activityQO);

    int countActivityPartDetail(ActivityQO activityQO);
}
